Voiceflow bearer token
Delete persona
curl --request DELETE \
--url https://realtime-api.voiceflow.com/v1/stable/persona/<personaID> \
--header 'Authorization: Bearer <token>'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/persona/<personaID>?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'DELETE',
headers: {
Authorization: 'Bearer <token>',
},
});
const data = await response.json();import requests
response = requests.delete(
'https://realtime-api.voiceflow.com/v1/stable/persona/<personaID>?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
)
data = response.json()vf persona delete --persona-id <personaID> --project-id <projectID> --environment-alias <environmentAlias>{
"message": "<string>"
}Delete a persona by ID.
Paste in your agent
1. Set up Voiceflow by following https://www.voiceflow.com/agents/setup 2. Read https://www.voiceflow.com/docs/api-reference/persona/delete-persona.md — the Voiceflow documentation page "Delete persona". Use it to help me with this part of Voiceflow and answer my questions. Refer to https://www.voiceflow.com/docs/llms.txt if you need related documentation.
Prompt copied. Paste in your agent.
DELETE
/v1/stable/persona/{personaID}
Delete persona
curl --request DELETE \
--url https://realtime-api.voiceflow.com/v1/stable/persona/<personaID> \
--header 'Authorization: Bearer <token>'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/persona/<personaID>?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'DELETE',
headers: {
Authorization: 'Bearer <token>',
},
});
const data = await response.json();import requests
response = requests.delete(
'https://realtime-api.voiceflow.com/v1/stable/persona/<personaID>?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
)
data = response.json()vf persona delete --persona-id <personaID> --project-id <projectID> --environment-alias <environmentAlias>{
"message": "<string>"
}Authorizations
Query Parameters
Was this page helpful?
Thanks for your feedback.